| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.Either

Description
Utilities for the `Either` type
Synopsis

isLeft :: Either a b -> Bool
isRight :: Either a b -> Bool
tests :: IO Bool

Documentation

isLeft :: Either a b -> Bool | Source

Returns `True` iff the argument is ``Left` x` for some `x`.

isRight :: Either a b -> Bool | Source

Returns `True` iff the argument is ``Right` x` for some `x`.

tests :: IO Bool | Source

Produced by Haddock version 2.4.2